summaryrefslogtreecommitdiffhomepage
path: root/test/scenario_test
diff options
context:
space:
mode:
authorFUJITA Tomonori <fujita.tomonori@lab.ntt.co.jp>2016-06-15 12:22:48 +0900
committerFUJITA Tomonori <fujita.tomonori@lab.ntt.co.jp>2016-06-15 12:40:08 +0900
commite8a596e4cdbea73b0778313837312c7eed7a79cf (patch)
treecd8fb341ea444de775d32c1b7d6015e0e05aa552 /test/scenario_test
parent140008ec2a0baa431cbbe1d3b623e02aacf7651b (diff)
test: fix travis-build-script.sh to honor unit test results
Fix the bug introduced by the following commit: commit 835d1f38e7f164393494191a5a58b29c8c9a88ac Author: ISHIDA Wataru <ishida.wataru@lab.ntt.co.jp> Date: Tue May 31 06:53:40 2016 +0000 test: test go example embeded in document Signed-off-by: FUJITA Tomonori <fujita.tomonori@lab.ntt.co.jp>
Diffstat (limited to 'test/scenario_test')
-rw-r--r--test/scenario_test/ci-scripts/travis-build-script.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/test/scenario_test/ci-scripts/travis-build-script.sh b/test/scenario_test/ci-scripts/travis-build-script.sh
index 87fa9a7b..75401f3d 100644
--- a/test/scenario_test/ci-scripts/travis-build-script.sh
+++ b/test/scenario_test/ci-scripts/travis-build-script.sh
@@ -7,8 +7,7 @@ export GOBGP=`pwd`
if [ "$SCENARIO" != "true" ]; then
echo "execute unit test."
go version
- go test -v ./...
- [ "$?" != 0 ] && exit "$?"
+ go test -v ./... || exit "$?"
python $GOBGP/test/scenario_test/ci-scripts/build_embeded_go.py $GOBGP/docs/sources/lib.md
exit $?
fi